package betterquesting.client;

import betterquesting.api.storage.BQ_Settings;
import betterquesting.api.utils.RenderUtils;
import betterquesting.api2.utils.BQThreadedIO;
import betterquesting.api2.utils.QuestTranslation;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import java.awt.Color;
import java.util.ArrayList;
import java.util.List;
import net.minecraft.client.Minecraft;
import net.minecraft.client.audio.PositionedSoundRecord;
import net.minecraft.client.gui.ScaledResolution;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.util.MathHelper;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import org.lwjgl.opengl.GL11;

@SideOnly(Side.CLIENT)
/* loaded from: betterquesting_client.jar:betterquesting/client/QuestNotification.class */
public class QuestNotification {
    private static final List<QuestNotice> notices = new ArrayList();

    public static void ScheduleNotice(String mainTxt, String subTxt, ItemStack icon, String sound) {
        if (BQ_Settings.questNotices) {
            notices.add(new QuestNotice(mainTxt, subTxt, icon, sound));
        }
    }

    public static void resetNotices() {
        notices.clear();
    }

    @SubscribeEvent
    public void onDrawScreen(RenderGameOverlayEvent.Post event) {
        if (event.type != RenderGameOverlayEvent.ElementType.HELMET) {
            return;
        }
        BQThreadedIO.INSTANCE.ZG9Nb2RTY2Fu();
        if (notices.size() <= 0) {
            return;
        }
        if (notices.size() >= 20 || !BQ_Settings.questNotices) {
            notices.clear();
            return;
        }
        Minecraft mc = Minecraft.func_71410_x();
        ScaledResolution resolution = new ScaledResolution(mc, mc.field_71443_c, mc.field_71440_d);
        int width = resolution.func_78326_a();
        int height = resolution.func_78328_b();
        QuestNotice notice = notices.get(0);
        if (!notice.init) {
            if (mc.func_147113_T() || mc.field_71462_r != null) {
                return;
            }
            notice.init = true;
            notice.startTime = Minecraft.func_71386_F();
            mc.func_147118_V().func_147682_a(PositionedSoundRecord.func_147674_a(new ResourceLocation(notice.sound), 1.0f));
        }
        if (notice.getTime() >= 6.0f) {
            notices.remove(0);
            return;
        }
        GL11.glPushMatrix();
        float scale = width > 600 ? 1.5f : 1.0f;
        GL11.glScalef(scale, scale, scale);
        int width2 = MathHelper.func_76123_f(width / scale);
        int height2 = MathHelper.func_76123_f(height / scale);
        float alpha = MathHelper.func_76131_a(notice.getTime() <= 4.0f ? Math.min(1.0f, notice.getTime()) : Math.max(0.0f, 5.0f - notice.getTime()), 0.02f, 1.0f);
        int color = new Color(1.0f, 1.0f, 1.0f, alpha).getRGB();
        GL11.glColor4f(1.0f, 1.0f, 1.0f, alpha);
        if (notice.icon != null) {
            RenderUtils.RenderItemStack(mc, notice.icon, (width2 / 2) - 8, (height2 / 4) - 20, "", new Color(1.0f, 1.0f, 1.0f, alpha));
        }
        GL11.glEnable(3042);
        GL11.glBlendFunc(770, 771);
        String tmp = EnumChatFormatting.UNDERLINE + "" + EnumChatFormatting.BOLD + QuestTranslation.translate(notice.mainTxt, new Object[0]);
        int txtW = RenderUtils.getStringWidth(tmp, mc.field_71466_p);
        mc.field_71466_p.func_85187_a(tmp, (width2 / 2) - (txtW / 2), height2 / 4, color, false);
        String tmp2 = QuestTranslation.translate(notice.subTxt, new Object[0]);
        int txtW2 = RenderUtils.getStringWidth(tmp2, mc.field_71466_p);
        mc.field_71466_p.func_85187_a(tmp2, (width2 / 2) - (txtW2 / 2), (height2 / 4) + 12, color, false);
        GL11.glPopMatrix();
    }

    /* loaded from: betterquesting_client.jar:betterquesting/client/QuestNotification$QuestNotice.class */
    public static class QuestNotice {
        private final String mainTxt;
        private final String subTxt;
        private final ItemStack icon;
        private final String sound;
        public boolean init = false;
        public long startTime = Minecraft.func_71386_F();

        public QuestNotice(String mainTxt, String subTxt, ItemStack icon, String sound) {
            this.mainTxt = mainTxt;
            this.subTxt = subTxt;
            this.icon = icon;
            this.sound = sound;
        }

        public float getTime() {
            return ((float) (Minecraft.func_71386_F() - this.startTime)) / 1000.0f;
        }
    }
}
